# PlainPDOResultFormatter

Extends \PDOResultFormatter

Plain text formatter for PDO results.

author | Hans Lellelid hans@xmpl.org
package | phing.tasks.ext.pdo
since | 2.3.0

### Methods

## Perform any final tasks and Close the writer.

    close()

inherited

## Gets the output writer.

    getOutput() : \Writer

inherited

### Response

`\Writer`

## Gets the preferred output filename for this formatter.

    getPreferredOutfile() : string

inherited abstract

### Response

`string`

## Perform any initialization.

    initialize()

inherited

## Processes a specific row from PDO result set.

    processRow(array $row)

inherited abstract

### Arguments

#### $row

`array`

Row of PDO result set.

## Sets the column delimiter.

    setColdelim(string $v)

### Arguments

#### $v

`string`

## Sets the output writer.

    setOutput(\Writer $out)

inherited

### Arguments

#### $out

`\Writer`

## Sets the row delimiter.

    setRowdelim(string $v)

### Arguments

#### $v

`string`

## Set the showheaders attribute.

    setShowheaders(boolean $v)

### Arguments

#### $v

`boolean`

### Properties

## Have column headers been printed?

    colsprinted : boolean

var |

### Type(s)

`boolean`

## Whether to show headers.

    showheaders : boolean

var |

### Type(s)

`boolean`

## Column delimiter.

    coldelimiter : string

Defaults to ','

var |

### Type(s)

`string`

## Row delimiter.

    rowdelimiter : string

Defaults to PHP_EOL.

var |

### Type(s)

`string`

## Output writer.

    out : \Writer

inherited

var |

### Type(s)

`\Writer`